import { Component } from '@angular/core';

import { NavController, NavParams } from 'ionic-angular';

@Component({
    selector: 'page-chatOnline',
    templateUrl: 'chatOnline.html'
})
export class ChatOnlinePage {
    online:Object = {}
    room:Object = {}
    constructor(public navCtrl: NavController, public navParams: NavParams) {
        this.online = this.navParams.get('online');
        this.room = this.navParams.get('room');
        console.log(this.online,this.room);
        this.maintenanceOfView();
    }
    maintenanceOfView(){
        setTimeout(()=>{this.maintenanceOfView();},500);
        let now = Math.floor(Date.now() / 1000);
        for(let i in this.online){
            this.online[i]['class'] = (
                this.online[i]['is_admin']?'admin':(
                    this.online[i]['is_moderator']?'moderator':''
                )
            );
            this.online[i]['secsAway'] = now - this.online[i]['user_last_activity'];
            while(this.online[i]['secsAway']<0){
                this.online[i]['secsAway']+=3600;
            }
            while(this.online[i]['secsAway']>1800){
                this.online[i]['secsAway']-=1800;
            }
            this.online[i]['minsAway'] = Math.floor(this.online[i]['secsAway']/60);
            this.online[i]['timeElapsed'] = (Math.abs(this.online[i]['secsAway'])<=120)?this.online[i]['secsAway']+' seconds':this.online[i]['minsAway']+' minutes';
        }
    }
}
